package jmail;
/**
 * 電子メール送信ライブラリ J-mail ver 3.0 
 * 
 * Copyright (c) 2015-2020 Takashi Kawaba Released under the MIT license
 * https://opensource.org/licenses/MIT
 */
/**
 * 送信結果を表すステータス
 * @author kawaba
 */
public enum EmailStatus {
    DONE,               // 正常終了 
    INIT_ERROR,         // ユーザー名、パスワードが正しくない
    CONNECT_ERROR,      // SMTPサーバーに接続できない
    SEND_ERROR,         // メール送信エラー
    DISCONNECT_ERROR    // SMTPサーバーから切断できない
}
