package jmail;
/**
 * 電子メール送信ライブラリ J-mail ver 3.0 
 * Copyright (c) 2015-2020 Takashi Kawaba Released under the MIT license
 * https://opensource.org/licenses/MIT
 */
import java.util.Properties;
/**
 * メール送信用のプロパティファイルを返すメソッドを定義している
 * 実装クラスとして次の2つを同梱している
 * 　・XmlToProperties --- XMLファイルから生成する
 * 　・ConfigToProperties --- microprofile-config.propertiesを利用する
 * 利用する実装クラスは、beans.xmlファイルで指定する必要がある
 */
public interface SenderProperties {
    Properties getProperties();
}
